           curl_share_init - Create a shared object

## SYNOPSIS

           #include <curl/curl.h>

           CURLSH *curl_share_init( );

## DESCRIPTION

           This  function returns a CURLSH handle to be used as input
           to all the other share-functions, sometimes refered to  as
           a  share  handle on some places in the documentation. This
           init   call   MUST   have   a   corresponding   call    to
           curl_share_cleanup when all operations using the share are
           complete.

## RETURN VALUE

           If this function returns NULL, something  went  wrong  and
           you got no share object to use.

## SEE ALSO

           curl_share_cleanup(3), curl_share_setopt(3)